[RFE] Upgrade fails on finding capsule-certs.tar file

11/02/2018 04:31 PM - Chris Roberts

Status: Rejected   

Priority: Normal   

Assignee: Chris Roberts   

Category: foreman-installer script   

Target version:    

Difficulty: trivial Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link: 1599446 Red Hat JIRA:  

Pull request:    

Description

Description of problem:

When issuing upgrade on Satellite Capsule 6.3.2, the installer fails if it is unable to find the referenced certs.tar file in the

capsule-answers.yaml file.

Version-Release number of selected component (if applicable):

6.3.2

How reproducible:

Everytime

Steps to Reproduce:

1. Remove the certs.tar file from the Capsule

2. Run the installer with the '--upgrade' flag

3.

Actual results:

Installer fails to find the certs.tar file and exits with the following:

The certs tar file generated by the server is not present at /root/capsule.redhat.com-certs.tar, exiting.

[ERROR 2018-07-09 16:15:54 verbose] The certs tar file generated by the server is not present at /root/capsule.redhat.com-certs.tar,

exiting.

Expected results:

No issues

Additional info:

This is not a fresh install, and the Capsule server was already at version 6.3.2. The server has been a Capsule server since 6.2.0.

Workaround is to either comment out the 'certs_tar:' parameter in the /etc/foreman-installer/scenarios.d/capsule-answers.yaml file or

remove the value from the parameter, then continue with the upgrade.

We could try some logic that says if /root/ssl-build exists, skip the certs tarball existence check.

History

#1 - 11/02/2018 04:31 PM - Chris Roberts

- Tracker changed from Bug to Feature

#2 - 11/02/2018 04:34 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello-installer/pull/711 added

#3 - 11/26/2018 06:20 PM - The Foreman Bot

- Pull request https://github.com/Katello/katello-installer/pull/717 added
#4 - 11/26/2018 10:43 PM - Chris Roberts

- Pull request deleted (https://github.com/Katello/katello-installer/pull/711)

#5 - 12/05/2018 07:21 PM - Chris Roberts

- Assignee deleted (Chris Roberts)

#6 - 06/08/2020 06:30 PM - Eric Helms

- Project changed from Katello to Installer

- Category deleted (Installer)

- Status changed from Ready For Testing to New

- Pull request deleted (https://github.com/Katello/katello-installer/pull/717)

#7 - 06/08/2020 06:59 PM - Chris Roberts

- Category set to foreman-installer script

- Status changed from New to Assigned

- Assignee set to Chris Roberts

- Triaged changed from Yes to No

#8 - 06/11/2020 02:58 PM - Chris Roberts

- Status changed from Assigned to Rejected

Since the --upgrade flag is being removed, I have resolved this downstream with a KCS article:

https://access.redhat.com/solutions/5152091
